#ifndef ORDERSTATUS_H
#define ORDERSTATUS_H
#include <QtSql/QSqlDatabase>
#include <QtSql/QSqlQuery>
#include <QtSql/QSqlError>

class Database
{
public:
    Database();
    ~Database();

    static Database& getInstance();
    bool execSql(const QString &sql);
    bool isPrint(const QString& orderId);
    bool isExit(const QString& orderId);
    bool isPosWriteOK(const QString &orderId);
    QString GetInfoTableName();
    QString GetProductTableName();
    QString GetPOSOrderId(const QString &orderId);
private:
    void delOldData();   //删除超过六个月的数据
private:
    QSqlDatabase _db;
    QString _nameInfo;
    QString _nameProduct;
};

#endif // ORDERSTATUS_H
